---
title: 'set:distinct()'
slug: Web/EXSLT/set/distinct
tags:
  - EXSLT
  - NeedsSpecTable
  - Reference
---
<p>{{XSLTRef}}{{QuickLinksWithSubpages("/en-US/docs/Web/EXSLT")}}</p>

<p><code>set:distinct()</code> returns a subset of the nodes in the specified node-set, returning only nodes with unique string values.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">set:distinct(<var>nodeSet</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>nodeSet</code></dt>
 <dd>The node-set in which to find unique nodes.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A node-set containing the nodes that have unique string values.</p>

<h2 id="Specifications">Specifications</h2>

<p><a class="external" href="http://www.exslt.org/set/functions/distinct/index.html">EXSLT - SET:DISTINCT</a></p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("xslt.exslt.set.distinct")}}</p>
